# Functor Cf_unicode.C_create

    module C_create: functor (E : Encoding_T) -> Transcoding_T  with module E = E

The functor used to compose the transcoding modules defined below.

Parameters:

`E` | : | `Encoding_T`

    module E: Cf_unicode.Encoding_T

The encoding module used as the argument to the `C_create(E:
Encoding_T)` functor.

    val transcoder : (char Cf_seq.t option, char) Cf_flow.t

A transcoder flow. Use `transcoder` with the functions defined in the `Cf_flow.Transcode` module to transcode between Unicode encodings in in stages.

    val transcode : char Cf_seq.t -> char Cf_seq.t

Use `transcode i` to convert a sequence of characters in the input encoding into a sequence of characters in the output encoding.

    val atomic : string -> string

Use `atomic str` to convert a string in the input encoding into a string in the output encoding.